Subject: Re: [PATCH v2 9/9] fetch: allow explicit --refmap to override configuration

From: Junio C Hamano <[email-masked]>
Date: Wed, 04 Jun 2014 15:28:22 -0700

Marc Branchaud <[email-masked]> writes:

>> Teach the command to pay attention to the --refmap=<lhs>:<rhs>
>> command-line options that can be used to override the use of
>> configured remote.*.fetch as the refmap.
>
> (Your 0/9 message merely said "The new patches at the
> end clarifies how remote.*.fetch configuration variables are used in
> two conceptually different ways." so I was not expecting fetch to get a new
> option.)

This is more about conceptual consistency & completeness than new
and useful addition, in that configured values and the feature they
enable ought to be expressible and overridable from the command line
options but we so far lacked a way to trigger the "do not affect
what gets fetched, only affect where they go locally" feature, which
is offered by the second way to use remote.*.fetch variable.  I do
not think we absolutely need it and that is why it is at the end as
an optional addition.

[jc: again, good suggestions I'll use when amending snipped]

Thanks.